Failed to initialize: Bad git executable

Hi, I am using rasa version 1.10.0 I am having this error.

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File “c:\users\parth\anaconda3\envs\chatbot\lib\runpy.py”, line 193, in run_module_as_main “main”, mod_spec) File “c:\users\parth\anaconda3\envs\chatbot\lib\runpy.py”, line 85, in run_code exec(code, run_globals) File "C:\Users\Parth\anaconda3\envs\chatbot\Scripts\rasa.exe_main.py", line 7, in File "c:\users\parth\anaconda3\envs\chatbot\lib\site-packages\rasa_main.py", line 91, in main cmdline_arguments.func(cmdline_arguments) File “c:\users\parth\anaconda3\envs\chatbot\lib\site-packages\rasa\cli\x.py”, line 326, in rasa_x run_locally(args) File “c:\users\parth\anaconda3\envs\chatbot\lib\site-packages\rasa\cli\x.py”, line 414, in run_locally from rasax.community import local # pytype: disable=import-error File “c:\users\parth\anaconda3\envs\chatbot\lib\site-packages\rasax\community\local.py”, line 24, in import rasax.community.server as rasa_x_server File “c:\users\parth\anaconda3\envs\chatbot\lib\site-packages\rasax\community\server.py”, line 4, in from rasax.community.services.integrated_version_control.git_service import GitService File “c:\users\parth\anaconda3\envs\chatbot\lib\site-packages\rasax\community\services\integrated_version_control\git_service.py”, line 11, in from git import Repo, Reference, PushInfo, RemoteReference, Actor File “c:\users\parth\anaconda3\envs\chatbot\lib\site-packages\git_init_.py”, line 85, in raise ImportError(‘Failed to initialize: {0}’.format(exc)) ImportError: Failed to initialize: Bad git executable. The git executable must be specified in one of the following ways:

  • be included in your $PATH
  • be set via $GIT_PYTHON_GIT_EXECUTABLE
  • explicitly set via git.refresh()

All git commands will error until this is rectified.

This initial warning can be silenced or aggravated in the future by setting the $GIT_PYTHON_REFRESH environment variable. Use one of the following values:

  • quiet|q|silence|s|none|n|0: for no warning or exception
  • warn|w|warning|1: for a printed warning
  • error|e|raise|r|2: for a raised exception

Example: export GIT_PYTHON_REFRESH=quiet

hey @Parthdhir1 type in cmd set GIT_PYTHON_REFRESH=quiet if you are running on windows

1 Like

@bparikh99 it did work. thanks

Hello, I tried set GIT_PYTHON_REFRESH=quiet but I still get the same Error:

This initial warning can be silenced or aggravated in the future by setting the $GIT_PYTHON_REFRESH environment variable. Use one of the following values: - quiet|q|silence|s|none|n|0: for no warning or exception - warn|w|warning|1: for a printed warning - error|e|raise|r|2: for a raised exception

Example: export GIT_PYTHON_REFRESH=quiet

Can someone help me with this issue?